#
# spec file for package openhpi-subagent (Version 2.3.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           openhpi-subagent
Version:        2.3.4
Release:        195.2
#
Group:          Productivity/Networking/Other
License:        BSD-3-Clause and OPL-1.0
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  docbook-toys docbook-utils openhpi-devel tcpd-devel
#
Url:            http://www.openhpi.org/
Source:         openhpi-subagent-%{version}.tar.bz2
Patch0:         openhpi-subagent-2.3.4_init_script.patch
Patch1:         openhpi-subagent-2.3.4_doctype.patch
Patch2:         openhpi-subagent-2.3.4-no-Werror.patch
Patch3:         openhpi-subagent-2.3.4-hpiutils.patch
#
Summary:        Hardware Platform Interface SNMP backend

%description
This is an implementation of the Service Availability Forum's Hardware
Platform Interface SNMP sub-agent.

Through this subagent one can includes support for multiple different
types of hardware including: IPMI, IBM Blade Center (via SNMP), Linux
Watchdog devices, and Sysfs based systems.



Authors:
--------
    Konrad Rzeszutek <konradr at us dot ibm dot com>

%prep
%setup
%patch0
%patch1
%patch2
%patch3

%build
%configure
%{__make}
%{__make} -C docs subagent-manual/book1.html

%install
%makeinstall
%{__install} -m 0755 -d %{buildroot}%{_sbindir}
# install mib
for mib in SAF-TC-MIB SAI-HPI-SNMP-MIB-B.01.01 ; do
    %{__mv} %{buildroot}%{_datadir}/snmp/mibs/$mib.{mib,txt}
done
# install init scripts
%{__install} -D -m 0755 openhpi-subagent.rc %{buildroot}/etc/init.d/openhpi-subagent
%{__ln_s} -f /etc/init.d/openhpi-subagent %{buildroot}%{_sbindir}/rcopenhpi-subagent

%preun
%stop_on_removal %{name}

%postun
%insserv_cleanup
%restart_on_update %{name}

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog TODO
%doc docs/subagent-manual
%dir /etc/snmp
%config /etc/snmp/hpiSubagent.conf
%dir %{_datadir}/snmp/mibs
%{_datadir}/snmp/mibs/SAF-TC-MIB.txt
%{_datadir}/snmp/mibs/SAI-HPI-SNMP-MIB-B.01.01.txt
/etc/init.d/openhpi-subagent
%{_bindir}/hpi*
%{_sbindir}/rcopenhpi-subagent

%clean
%{__rm} -rf %{buildroot}

%changelog
* Thu Feb  6 2014 mrueckert@suse.de
- added OPL-1.0: the documentation is licensed as OPL-1.0
* Wed Feb  5 2014 mrueckert@suse.de
- change license string to spdx format
* Fri Nov 15 2013 ro@suse.de
- openhpi-subagent-2.3.4-hpiutils.patch:
  libhpiutils now has its own pkgconfig file
- openhpi-subagent-2.3.4-no-Werror.patch:
  disable -Werror (needs porting to new threading api)
* Thu Sep 10 2009 ro@suse.de
- fix patch usage for rpm-4.7
* Sat Sep 13 2008 mrueckert@suse.de
- merged the init script related chunks of all patches into
  openhpi-subagent-2.3.4_init_script.patch. This obsoletes
  openhpi-subagent-2.3.1.patch.
- do not require snmpd. use snmp instead. (bnc#357977)
* Thu Sep 11 2008 mrueckert@suse.de
- add missing %%post(un) scripts
* Thu Aug 28 2008 cthiel@suse.de
- fix init script
* Fri Jan 19 2007 mrueckert@suse.de
- added openhpi-subagent-2.3.4_doctype.patch:
  replaced the broken PUBLIC identifier with SYSTEM.
* Fri Jan 12 2007 mrueckert@suse.de
- update to 2.3.4
  o updated mibs to latest version from SAF
  o fixed oh_print calls.
- dropped patches:
  openhpi-subagent-2.3.2_mixed_declarations.patch
  openhpi-subagent-ohprint.patch
- spec file cleanup
* Mon Sep  4 2006 ro@suse.de
- fix build (oh_print_event has one more argument)
* Tue Mar 28 2006 mrueckert@suse.de
- update to 2.3.3
  o Changed %%d to %%lld in DEBUGMSTL message in
    saHpiEventLogInfoTable.c
  o Added SNMPFLAGS=`net-snmp-config --cflags | sed -e \
    's/-Wdeclaration-after-statement//g'` to acinclude.m4
  this update fixes a few build errors that are caused with a bug
  in perl.
- removed openhpi-subagent-2.3.1_no-Werror.patch:
  this is now handled within the configure script.
* Mon Feb  6 2006 mrueckert@suse.de
- added openhpi-subagent-2.3.2_mixed_declarations.patch
  o fixes gcc warnings about mixed declarations.
* Sun Feb  5 2006 mrueckert@suse.de
- update to 2.3.2
  o Replaced "poisoned" sprintf with snprintf.
  o Fixed gcc compiler warning by changing %%d to %%lld.
- net-snmp-config properly passes the -lwrap so we dont need to
  patch configure.ac anymore
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mrueckert@suse.de
- disable -Werror for now
* Mon Nov  7 2005 mrueckert@suse.de
- Update to version 2.2.1
  fixes build warnings on x86_64
* Mon Oct 10 2005 mrueckert@suse.de
- submit latest package for sles9 to
  adapt the openhpi base package update.
* Tue Jul 26 2005 mrueckert@suse.de
- build html documentation
- install mib file into the correct place
- source pkgconfig settings so we find all libs
* Mon Jun  6 2005 mrueckert@suse.de
- Update to version 2.0.0
* Wed May 12 2004 nashif@suse.de
- Initial release (0.7)
